#include "CPotentiometer.h"

/*****************************************************************************
 * Function    : CPotentiometer                                              *
 *...........................................................................*
 * Description :                                                             *
 *****************************************************************************/
CPotentiometer::CPotentiometer()
{
    // Setup pin
    pinMode(cPin7segPotentiometer, INPUT);
}

/*****************************************************************************
 * Function    : getValue                                                    *
 *...........................................................................*
 * Description :                                                             *
 *****************************************************************************/
uint8 CPotentiometer::getValue()
{
    return map(analogRead(cPin7segPotentiometer), 0, 1020, 0, 100);
}
